Subject: Re: What's cooking in git.git (Mar 2026, #05)

From: Jeff King <[email-masked]>
Date: Tue, 17 Mar 2026 23:03:04 -0400

On Mon, Mar 16, 2026 at 06:07:41PM -0400, Taylor Blau wrote:

> On Thu, Mar 12, 2026 at 05:10:31PM -0700, Junio C Hamano wrote:
> > * tb/incremental-midx-part-3.2 (2026-02-24) 17 commits
> >  - midx: enable reachability bitmaps during MIDX compaction
> >  - midx: implement MIDX compaction
> >  - t/helper/test-read-midx.c: plug memory leak when selecting layer
> >  - midx-write.c: factor fanout layering from `compute_sorted_entries()`
> >  - midx-write.c: enumerate `pack_int_id` values directly
> >  - midx-write.c: extract `fill_pack_from_midx()`
> >  - midx-write.c: introduce `midx_pack_perm()` helper
> >  - midx: do not require packs to be sorted in lexicographic order
> >  - midx-write.c: introduce `struct write_midx_opts`
> >  - midx-write.c: don't use `pack_perm` when assigning `bitmap_pos`
> >  - t/t5319-multi-pack-index.sh: fix copy-and-paste error in t5319.39
> >  - git-multi-pack-index(1): align SYNOPSIS with 'git multi-pack-index -h'
> >  - git-multi-pack-index(1): remove non-existent incompatibility
> >  - builtin/multi-pack-index.c: make '--progress' a common option
> >  - midx: introduce `midx_get_checksum_hex()`
> >  - midx: rename `get_midx_checksum()` to `midx_get_checksum_hash()`
> >  - midx: mark `get_midx_checksum()` arguments as const
> >
> >  Further work on incremental repacking using MIDX/bitmap
> >
> >  Will merge to 'next'?
> >  source: <[email-masked]>
> 
> I think that this one is ready to go. There was a relatively small
> range-diff between v2 and v3 based on Peff's review of the earlier
> round.
> 
> That review[1] said that:
> 
>     There were a couple minor issues brought up in review, like
>     out-dated comments and the u32_add interface. So I think we might
>     need a v3 with a few touch-ups, but that's it.
> 
> , so I think with the latest round we should be OK to start merging this
> one down.

Yeah, I looked over the range-diff for v3 and didn't have anything
further to add.

-Peff